### Method

# Camel DataWrapper take_mime_type_field

since: 3.24

#### Declaration [src]

    void
    camel_data_wrapper_take_mime_type_field (
      CamelDataWrapper* data_wrapper,
      CamelContentType* mime_type
    )

#### Description [src]

Sets mime-type filed to be `mime_type` and consumes it, aka unlike camel_data_wrapper_set_mime_type_field(), this doesn’t add its own reference to `mime_type`.

It suffers from the same flaws as camel_data_wrapper_set_mime_type().

Available since: 3.24

#### Parameters

`mime_type`

  Type: `CamelContentType`

  A `CamelContentType`.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.